'''
Extract individual attributes
'''

fdIn = open('host_2012_06_02_active_2012_04_30.txt', 'r')
fdOutCSp = open('CPUSpeed.txt', 'w')
fdOutCBits = open('CPUBits.txt', 'w')
fdOutCArchi = open('CPUArchi.txt', 'w')
fdOutNumcore = open('NumCores.txt', 'w')
fdOutPIops = open('ProcesorIops.txt', 'w')
fdOutFPops = open('ProcesorFPops.txt', 'w')
fdOutMSize = open('MemorySize.txt', 'w')
fdOutDSize = open('DiskSize.txt', 'w')
fdOutDFree = open('DiskFree.txt', 'w')
fdOutOS = open('OS.txt', 'w')
fdOutOSVer = open('OSVersion.txt', 'w')
fdOutRx = open('Rx.txt', 'w')
fdOutTx = open('Tx.txt', 'w')

for line in fdIn:
    tmp = line.split('\t')
    fdOutCSp.write(tmp[2] + '\n')
    fdOutCBits.write(tmp[3] + '\n')
    fdOutCArchi.write(tmp[4] + '\n')
    fdOutNumcore.write(tmp[5] + '\n')
    fdOutPIops.write(tmp[6] + '\n')
    fdOutFPops.write(tmp[7] + '\n')
    fdOutMSize.write(tmp[8] + '\n')
    fdOutDSize.write(tmp[11] + '\n')
    fdOutDFree.write(tmp[12] + '\n')
    fdOutOS.write(tmp[13] + '\n')
    fdOutOSVer.write(tmp[14] + '\n')
    fdOutRx.write(tmp[15] + '\n')
    fdOutTx.write(tmp[16] + '\n')

fdIn.close()    
fdOutCSp.close()
fdOutCBits.close()
fdOutCArchi.close()
fdOutNumcore.close()
fdOutPIops.close()
fdOutFPops.close()
fdOutMSize.close()
fdOutDSize.close()
fdOutDFree.close()
fdOutOS.close()
fdOutOSVer.close()
fdOutRx.close()
fdOutTx.close()
